# This file is part of FatxFast.
#
#    FatxFast is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    FatxFast is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with FatxFast.  If not, see <http://www.gnu.org/licenses/>.

# Versioning based on: 
# http://en.wikipedia.org/wiki/Versioning#Designating_development_stage
__author__ = "dryatu (c) 2013"
__version__ = "1.2.2"

import sys
import os
sys.path.insert(0, os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
import FatxFast.game
import pygame


def quit():
    pygame.quit()
    sys.exit()

def main(argv):
    kwargs = {}
    if len(argv) > 1:
        kwargs["map"] = argv[1]
    if len(argv) > 2:
        kwargs["mode"] = argv[2]
    if len(argv) > 3:
        kwargs["time"] = int(argv[3])
    app = FatxFast.game.Game(**kwargs)

    while(app.running):
        app.update()
        app.draw()

    quit()
if __name__ == "__main__":
    main(sys.argv)
