# This file is part of FatxFast.
#
#    FatxFast is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    FatxFast is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with FatxFast.  If not, see <http://www.gnu.org/licenses/>.

# Versioning based on: 
# http://en.wikipedia.org/wiki/Versioning#Designating_development_stage
__author__ = "dryatu (c) 2013"
__version__ = "1.2.2"


from FatxFast.gui import textwidget
import pygame

class ButtonWidget(textwidget.TextWidget):
    
    def __init__(self, **kwargs):
        self.href = kwargs.get("href") 
        self.properties = kwargs.get("properties", {})
        super(ButtonWidget, self).__init__(**kwargs)

    def click(self, *args, **kwargs):
        args = filter(None, args)
        getattr(self.connect_obj, self.handler)(*args, **kwargs)
        
    def mouse_pressed(self, button, pos):
        if self.get_abs_rect().collidepoint(pos):
            self.click(self.href, **self.properties) 
