# This file is part of FatxFast.
#
#    FatxFast is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    FatxFast is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with FatxFast.  If not, see <http://www.gnu.org/licenses/>.

# Versioning based on: 
# http://en.wikipedia.org/wiki/Versioning#Designating_development_stage
__author__ = "dryatu (c) 2013"
__version__ = "1.2.2"


from FatxFast.modes import mode
from FatxFast.objects import character

class DemoMode(mode.GameMode):
    """DemoScene solves the maze as a 'demo'."""
    def __init__(self, scene, **kwargs):
        """Creates a solver character and fetches a linear solution for 
        the maze"""
        super(DemoMode, self).__init__(scene, **kwargs)
        self.scene.playing = False
    
    def handle_movement(self, keys):
        pass

    def create_players(self):
        self.player1 = self.scene.create_character(character.Ghost, 
            add_to_world=True)
        self.camera.follow_target(self.player1)

    def update(self, dt):
        """Move ghost in a direction which is a solution tile.
        Every 120ms a tile is removed from the solutions""" 
        super(DemoMode, self).update(dt)
        if not self.player1.running:
            self.scene.end()

