(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     44649,       1263]
NotebookOptionsPosition[     41545,       1158]
NotebookOutlinePosition[     41882,       1173]
CellTagsIndexPosition[     41839,       1170]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 StyleBox[
  RowBox[{"X", "-", "RightAccel"}], "Title"]], "Input",
 CellChangeTimes->{{3.590209499213632*^9, 3.590209580380385*^9}, {
  3.590210282124651*^9, 3.590210286125184*^9}, {3.590210323322019*^9, 
  3.590210325857097*^9}, {3.590211766886559*^9, 3.590211769198656*^9}, {
  3.590212932085411*^9, 3.590212946230096*^9}},
 FontSize->9],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Original", " ", 
    RowBox[{"Accel", ":", " ", 
     RowBox[{"TILEWIDTH", "/", "10"}]}]}], ",", " ", 
   RowBox[{"Max", ":", " ", 
    RowBox[{"TILEWIDTH", "*", "0.65"}]}], ",", " ", 
   RowBox[{"Min", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "10"}]}]}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.590212948421168*^9, 3.59021294991185*^9}, {
  3.590248767938003*^9, 3.590248825148287*^9}, {3.590248959128772*^9, 
  3.590248959438165*^9}}],

Cell[BoxData[
 StyleBox["Sample1", "Subsubtitle"]], "Input",
 CellChangeTimes->{{3.590212955441289*^9, 3.590212956765199*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "24.75"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "49.5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"7", ",", "57.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"10", ",", "57.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"14", ",", "57.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"17", ",", "57.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20", ",", "57.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"24", ",", "57.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"27", ",", "57.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"30", ",", "57.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"34", ",", "57.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"37", ",", "52.2375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"40", ",", "46.875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"44", ",", "41.5125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"47", ",", "36.15"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"50", ",", "30.7875"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.590248967104092*^9, 3.590248986376432*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], 
     LineBox[{{1., 24.75}, {4., 49.5}, {7., 57.6}, {10., 57.6}, {14., 57.6}, {
      17., 57.6}, {20., 57.6}, {24., 57.6}, {27., 57.6}, {30., 57.6}, {34., 
      57.6}, {37., 52.2375}, {40., 46.875}, {44., 41.5125}, {47., 36.15}, {
      50., 30.7875}}]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 24.75},
  Method->{},
  PlotRange->{{0, 50.}, {24.75, 57.6}},
  PlotRangeClipping->True,
  PlotRangePadding->{{1., 1.}, {0.657, 0.657}}]], "Output",
 CellChangeTimes->{3.590212940143194*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.59021293910136*^9, 3.590212939129312*^9}, {
  3.590212981250135*^9, 3.590213016574854*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Accel", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "20"}]}], ",", " ", 
   RowBox[{"Max", ":", " ", 
    RowBox[{"TILEWIDTH", "*", "0.65"}]}], ",", " ", 
   RowBox[{"Min", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "10"}]}]}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.590211774789443*^9, 3.590211787430067*^9}, {
   3.590211846280379*^9, 3.590211893107401*^9}, {3.590212285869139*^9, 
   3.590212287375114*^9}, 3.590212881549662*^9, {3.590248837714252*^9, 
   3.590248850660909*^9}}],

Cell[BoxData[
 StyleBox["Sample1", "Subsubtitle"]], "Input",
 CellChangeTimes->{{3.590212883417259*^9, 3.59021288438244*^9}}],

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"17.2395300865", ",", "0.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"17.5769400597", ",", "12.375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"17.9144382477", ",", "25.125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"18.2417082787", ",", "37.125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"18.5693597794", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"18.9018583298", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"19.2310285568", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"19.5606398582", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"19.8910903931", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.2246594429", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.5566382408", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.8781695366", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"21.2117385864", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"21.5445590019", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"21.8778800964", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"22.2104287148", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"22.538998127", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"22.871799469", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"23.2038784027", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"23.5364699364", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"23.8596701622", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"24.1925096512", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"24.5250296593", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"24.8578095436", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"25.1898884773", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"25.5223298073", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"25.8490180969", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"26.1814188957", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"26.5141892433", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"26.8483686447", ",", "36.2375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"27.1842288971", ",", "30.7125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"27.5170302391", ",", "25.35"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"27.8500699997", ",", "19.825"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"28.1831097603", ",", "14.625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"28.5164189339", ",", "9.2625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"28.8395500183", ",", "3.9"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"29.1680884361", ",", "0.0"}], "}"}]}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJxF0k0ow2EcwPFfyksiLcQFI8qSv83+2+yNn1FzxAErWhR2EDk5IkxSXlJC
8nbhJg44LOPmYDkos4h/3iaNprig/Wz91/N869fTp57f6XkKuwaauxMAoCQ6
sfMzRP4mqwYh3ocK2vYX4j4pxbps2Mh9i1tpRKcaliRrpew5G9oFmDudr0Tf
eax6PM4DtfTC/fpMu8VmLfOij3Lcs9zhYhjJf+I2Rcg+ZhSZO8PkH57h7kiF
owuJe/uRhkW9jrkkSAbXNPfbNXk9EvesCDt3Oj3znwLOfqe4B5MAhXvutG9y
akQDc7oSclumuH8j1Jp5yz2qgMYGTRXzegG0udzcfd/Uu3zDnfxEk6tqI7Mj
C1yHE9y+Z6pxBLj7X2loUDAx771TcHOM2xCmXSFgwp5Y+TY8T4QNVYVZ9kE1
1v5QTvu4GVeWozmMuJcI6rWAGbWxLrWoVECDJFjk98Vy9BRBijhukffdRdj7
Rd7QlUW+r83ArQfyJ5dZ2f/5B2BrG08=
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{17.2395300865, 0},
  Method->{},
  PlotRange->{{17.2395300865, 29.1680884361}, {0, 41.6}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.23857116699199998`, 0.23857116699199998`}, {
   0.8320000000000001, 0.8320000000000001}}]], "Input",
 CellChangeTimes->{{3.5902120011526*^9, 3.59021200245679*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"acceltime", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"18.5693597794", "-", "17.2395300865"}], ")"}], "*", 
   RowBox[{"10", "^", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.590212004318599*^9, 3.590212022680186*^9}, {
  3.590212057491532*^9, 3.590212063090386*^9}, {3.590212477192593*^9, 
  3.590212481977076*^9}, {3.590212714500248*^9, 3.590212730706226*^9}}],

Cell[BoxData["0.1329829692899999`"], "Output",
 CellChangeTimes->{3.590212733892194*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox["Sample2", "Subsubtitle"]], "Input",
 CellChangeTimes->{{3.590212485387979*^9, 3.590212508728095*^9}, {
  3.590212903827695*^9, 3.590212907974532*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"62.6732611656", ",", "0.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"63.0028104782", ",", "12.375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"63.3319997787", ",", "24.75"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"63.6648917198", ",", "37.125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"63.9945816994", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"64.3246817589", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"64.6512508392", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"64.9816012383", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"65.3111505508", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"65.6408119202", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"65.9706807137", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"66.3006997108", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"66.630730629", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"66.9623613358", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"67.2940301895", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"67.6254701614", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"67.9570817947", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"68.2891011238", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"68.62637043", ",", "36.075"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"68.9562797546", ",", "30.7125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"69.285941124", ",", "25.35"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"69.6161198616", ",", "19.9875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"69.9454212189", ",", "14.625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"70.278301239", ",", "9.2625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"70.6178402901", ",", "3.7375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"70.9474205971", ",", "0.0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.590212894571388*^9, 3.590212913488417*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQAmIQPffr/2zdMH8HBihw/PVfPKYByj+g4XD76f/vdatg
fAsH7m//taWvQvkTnBwO8TOU+P33dzh7BgRcHEJYGaYdFwmA8y99+y++ThPB
7+Zl6Ltkh+AnfPn/+GUwgh/OySDAnIngH+FhWCRfh+DHf/6/0m4ygv+Pg+FJ
7AoEv5OHIWT6XgRf5s//5IuXEPz+r/83s79A8CO+/r/s8BfB9/37f2GDUCCc
z8zEUCKmEegwayYQcDo5xH/9v97YNtAhDQS22TmEcTHc8QmCykdaOtj8/9+Y
lw7V/8fYYS07w4nGmkBIeDnoOtj9+b/+/ESo/jYlh1gOhk1dy6H8Z7wONWwM
XYv2BMLjAwD4bMMv
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{62.6732611656, 0},
  Method->{},
  PlotRange->{{62.6732611656, 70.9474205971}, {0, 41.6}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.16548318863000006`, 0.16548318863000006`}, {
   0.8320000000000001, 0.8320000000000001}}]], "Output",
 CellChangeTimes->{3.590212920973469*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.590212527315791*^9, 3.590212528153597*^9}, 
   3.590212917622533*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"acceltime", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"63.9945816994", "-", "62.6732611656"}], ")"}], "*", 
   RowBox[{"10", "^", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.59021252971881*^9, 3.590212602239561*^9}, {
  3.590212675233574*^9, 3.59021268740387*^9}}],

Cell[BoxData["0.1321320533799998`"], "Output",
 CellChangeTimes->{{3.590212556919345*^9, 3.590212602782598*^9}, {
  3.590212681024031*^9, 3.590212688743355*^9}}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Accel", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "20"}]}], ",", " ", 
   RowBox[{"Max", ":", " ", 
    RowBox[{"TILEWIDTH", "*", "0.8"}]}], ",", " ", 
   RowBox[{"Min", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "10"}]}]}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.590231086369353*^9, 3.590231107119837*^9}, {
  3.590248871823521*^9, 3.590248879817457*^9}}],

Cell[BoxData[
 StyleBox["Sample1", "Subsubtitle"]], "Input",
 CellChangeTimes->{{3.590231122563783*^9, 3.590231123820487*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"168.433909416", ",", "0.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"168.76611948", ",", "12.75"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"169.098830223", ",", "25.125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"169.426908493", ",", "37.5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"169.7595191", ",", "49.875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"170.085170269", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"170.418918133", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"170.751140118", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"171.073198318", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"171.404709816", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"171.743268967", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"172.075619698", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"172.40557909", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"172.735099792", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"173.068859577", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"173.401679993", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"173.724989891", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"174.058969021", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"174.392619133", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"174.715788364", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"175.047600269", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"175.380179882", ",", "45.8375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"175.708179474", ",", "40.475"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"176.039600372", ",", "35.1125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"176.372330189", ",", "29.75"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"176.69397831", ",", "24.3875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"177.029428482", ",", "19.025"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"177.362518311", ",", "13.6625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"177.690138817", ",", "8.3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"178.020169735", ",", "3.1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"178.353228569", ",", "0.0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.590231130412717*^9, 3.590231146943899*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQB2IQveHJ/6mPeFMdGKBg29v/PC0SUH6DpkPbl/9zNZWh
fAVLB+tf/61X6kL5B5wc/j/9/8vXAsr/4OHg9e//tp1OqQ6zZoKAp8N3WYbj
6b4I/kEDhnDOCAT/6t7/i8OTEPzHTAxJn3MQ/E06DHdOlCP4f60YqrKbEPxd
7/83/OpBsm/v//et0xH8jOf/JUwWIfj9OgwTbq1B8C/9+C9rvB3BbxJlEH58
EMGfzcAQNuEMgj/j+P89z68h+BFX/n9ofYjgG/z8n6f1JtXBGAReuzm8FGDI
WPkt1eHsGSCwcXE4ceV/ugtjmkMaCPQ5OhgqMSi+4k6Dhqetw2ojBiFTsTSI
/mQLh8gf/4U/KkDVsxk7uNsxHJipDZUP1nZ4JMYwT9QsDWq/goMpG4P1Uoc0
iH1nOByO/f6/1Nc7DR6/AHUQ1+U=
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{168.433909416, 0},
  Method->{},
  PlotRange->{{168.433909416, 178.353228569}, {0, 51.2}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.1983863830600001, 0.1983863830600001}, {1.024, 
   1.024}}]], "Output",
 CellChangeTimes->{3.590231150265984*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"acceltime", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"170.085170269", "-", "168.433909416"}], ")"}], "*", 
   RowBox[{"10", "^", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.590231164019865*^9, 3.590231193769774*^9}}],

Cell[BoxData["0.16512608529999967`"], "Output",
 CellChangeTimes->{3.590231195704492*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox["Sample2", "Subsubtitle"]], "Input",
 CellChangeTimes->{{3.590231297349599*^9, 3.590231298532703*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"95.048429966", ",", "0.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"95.3742718697", ",", "12.375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"95.7056903839", ",", "25.125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"96.0376906395", ",", "37.5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"96.3698816299", ",", "49.875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"96.706700325", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"97.038640976", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"97.3649597168", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"97.6980614662", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"98.0311608315", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"98.3641815186", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"98.6969399452", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"99.0293502808", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"99.3522000313", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"99.6907520294", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"100.028121471", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"100.360209942", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"100.692811012", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"101.025121212", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"101.358180046", ",", "51.2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"101.684169769", ",", "45.8375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"102.016580105", ",", "40.475"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"102.348949909", ",", "35.1125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"102.679011822", ",", "29.75"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"103.008751869", ",", "24.3875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"103.33217144", ",", "19.025"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"103.66407156", ",", "13.6625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"103.9965415", ",", "8.3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"104.329121113", ",", "2.9375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"104.657270908", ",", "0.0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.590231303990679*^9, 3.590231349368307*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQA2IQXczOUCV5ONyBAQrUuRmEvlyH8g9oOHz8859d6y2U
r2DpoMLI0JbJFAGVd3L49Pm/8hpxKP+Dh8PSP/8nW+lGOMyaCQKeDuq8DBKV
Tgj+HQaGhuhwBD/w93/OtTkIfjQvQ9e/RgS/lIfhgN90BN/u1/+Vs9Yg+G1c
DA8eHETSz8pQ1HUNwT/967+76RsEf/WE/3vPMEbC+YmqDOt4xRH8wG3/mcN1
EPzSf/+nznZE8Ke9/J/9JgzBF9n4P/9kdqSDMQi8dnMI0GdYxt8Y6XD2DBDY
uDhYHPtvGDot0iENBPocHWa4MrwrWR0JDT9bh4kn/if3H4DqT7ZwOHb3v7fT
Vah6NmOHa5IMag2voPLB2g7Xnv0PPf4fZr+CQ6sBQ5CAaBTEvAZ2B8t5/3cK
aEXB4xMAubDDhg==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{95.048429966, 0},
  Method->{},
  PlotRange->{{95.048429966, 104.657270908}, {0, 51.2}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.19217681884, 0.19217681884}, {1.024, 
   1.024}}]], "Output",
 CellChangeTimes->{3.590231323525198*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"acceltime", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"96.706700325", "-", "95.048429966"}], ")"}], "*", 
   RowBox[{"10", "^", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.590231330415544*^9, 3.590231360867287*^9}}],

Cell[BoxData["0.16582703589999995`"], "Output",
 CellChangeTimes->{3.590231362285417*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Accel", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "20"}]}], ",", " ", 
   RowBox[{"Max", ":", " ", 
    RowBox[{"TILEWIDTH", "*", "0.75"}]}], ",", " ", 
   RowBox[{"Min", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "10"}]}]}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.590248428362604*^9, 3.590248463526344*^9}, {
  3.590248888985414*^9, 3.590248890991549*^9}}],

Cell[BoxData[
 StyleBox["Sample1", "Subsubtitle"]], "Input",
 CellChangeTimes->{{3.590248469931081*^9, 3.590248471271841*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"50.0335597992", ",", "0.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"50.3622102737", ",", "12.375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"50.6920909882", ",", "24.75"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"51.0268497467", ",", "37.125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"51.357691288", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"51.6862893105", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"52.0184612274", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"52.3400712013", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"52.6723504066", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"53.0047011375", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"53.3363604546", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"53.6685609818", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"53.9923906326", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"54.3246412277", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"54.6564912796", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"54.9887895584", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"55.3208398819", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"55.6535601616", ",", "42.475"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"55.9844708443", ",", "37.1125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"56.3174510002", ",", "31.75"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"56.6498613358", ",", "26.3875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"56.9823312759", ",", "20.8625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"57.3189306259", ",", "15.6625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"57.6584005356", ",", "10.1375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"57.9869914055", ",", "4.775"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"58.3194804192", ",", "0.0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.590248477572808*^9, 3.590248493306959*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQAmIQLcvMsMGbxdOBAQq6Xvx/HqMH5R/QcCgUYyiYFgHj
Wzjs//v/fH4zlD/ByUGMmeHKibUw/R4OEyQYQm5cR/BXfvv/PobJC87v/fS/
uF0bwQ949n8yfxiC3/ziP/esBgQ/RozhDu9qBN9CmiFj8lUE//r7/8vZ/iP4
Fz7/v96r6Q3n3//3/zl7CIKv9uv/8gl1CP4qRgYPwZUIvh4rw53ll70dzp4B
AhtXB3VBBhXmf94OaSDQ5+TQ/OO/9SINH2h42DsISTKs0Av2cTAGgWQrB+5X
/9n31vpA9N8xcSj//n/7pRVQ+WB9B2FOhgq3Kz4Q89xUHGTZGfaE/vNxmDUT
CCSFHSaLMex5ouELjw8AYQ1+Ww==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{50.0335597992, 0},
  Method->{},
  PlotRange->{{50.0335597992, 58.3194804192}, {0, 48.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.1657184124, 0.1657184124}, {0.96, 0.96}}]], "Output",
 CellChangeTimes->{3.590248494962569*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"acceltime", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"51.357691288", "-", "50.0335597992"}], ")"}], "*", 
   RowBox[{"10", "^", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.590248675645764*^9, 3.590248704583007*^9}}],

Cell[BoxData["0.13241314887999991`"], "Output",
 CellChangeTimes->{3.590248705332849*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox["Sample2", "Subsubtitle"]], "Input",
 CellChangeTimes->{{3.590248591182457*^9, 3.59024859237675*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"25.8844399452", ",", "0.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"26.2148690224", ",", "12.375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"26.5464997292", ",", "24.75"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"26.8860197067", ",", "37.5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"27.2161602974", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"27.5458192825", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"27.8853011131", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"28.2148599625", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"28.544459343", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"28.8744497299", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"29.2045307159", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"29.5343399048", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"29.8672699928", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"30.2004790306", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"30.5304503441", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"30.8650398254", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"31.1944103241", ",", "48.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"31.5237307549", ",", "42.6375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"31.8512010574", ",", "37.275"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"32.1868300438", ",", "31.9125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"32.526268959", ",", "26.3875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"32.8465199471", ",", "21.025"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"33.1855797768", ",", "15.6625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"33.516740799", ",", "10.3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"33.8566613197", ",", "4.6125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"34.1965198517", ",", "0.0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.5902485970874*^9, 3.590248600651338*^9}, {
  3.590248646263656*^9, 3.59024864872708*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQAmIQ/ePF/+VZjywdGKBgpSLDCkZzKwj/gIbDNX2GjOfd
ML6FQ+jj//qXHsH4Tg4X2Rg8wsytofo9HKTu/j+/qxvBr3nwX3zxIwTfRYNB
gNHcBs4/oc+wIbEbwV/06v/72/cR/LSL/+VjTGzh/CABhoZTHQj++Qf/01nv
Ifjfvv6fHmRsB+fv5meYcbodwZ9/5b998V0Efzkzw4MjhvZwfokJg4Vwm73D
rJlAEOjq0H7rv/+Lm/YOxiCw2MmBgYWB55W4A0T+pb0D5/P/x2OcHSDyyVYO
yVIMR6JyHBzSQIDN1OGaMIPIwelQ+WB9h0Rphgkqh6D6Z6o4cL/7L7z8LVS+
WMihhoNhgrqkIzw+AMUqerg=
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{25.8844399452, 0},
  Method->{},
  PlotRange->{{25.8844399452, 34.1965198517}, {0, 48.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.16624159813000006`, 0.16624159813000006`}, {0.96, 
   0.96}}]], "Output",
 CellChangeTimes->{3.590248649755048*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"acceltime", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"27.2161602974", "-", "25.8844399452"}], ")"}], "*", 
   RowBox[{"10", "^", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.590248724228553*^9, 3.59024874277628*^9}}],

Cell[BoxData["0.1331720352199998`"], "Output",
 CellChangeTimes->{3.590248743311665*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"Y", "-", "DownAccel"}], "Title"]], "Input",
 CellChangeTimes->{{3.590210122081557*^9, 3.59021014971159*^9}, {
  3.590210207979288*^9, 3.59021027436422*^9}, {3.590211574748478*^9, 
  3.590211585429536*^9}, {3.590212822382251*^9, 3.590212850890893*^9}},
 FontSize->9],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Original", " ", 
    RowBox[{"Accel", ":", " ", 
     RowBox[{"TILEWIDTH", "/", "10"}]}]}], ",", " ", 
   RowBox[{"Max", ":", " ", 
    RowBox[{"TILEWIDTH", "*", "0.65"}]}], ",", " ", 
   RowBox[{"Min", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "10"}]}]}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.590212853848261*^9, 3.590212855490957*^9}, 
   3.590248907120368*^9, {3.59024895299895*^9, 3.590248953277748*^9}}],

Cell[BoxData[
 StyleBox["Sample1", "Subsubtitle"]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"223.412029743", ",", "0.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"223.74535799", ",", "25.5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"224.074878693", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"224.408318996", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"224.741818905", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"225.08179903", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"225.413179398", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"225.74657917", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"226.080489159", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"226.404309273", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"226.73776865", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"227.070009708", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"227.393479347", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"227.730088234", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"228.053967953", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"228.387579918", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"228.72084856", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"229.048588276", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"229.382410049", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"229.716110229", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"230.050477982", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"230.373978615", ",", "36.2375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"230.707569122", ",", "30.7125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"231.041297913", ",", "25.35"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"231.381850243", ",", "19.825"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"231.715459824", ",", "14.3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"232.049088478", ",", "8.9375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"232.377288342", ",", "3.575"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"232.710618973", ",", "0.0"}], "}"}]}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQ7fT0f4T+22wHBiiYcfv/j5vfofwGSwdXY4aMVKYc
h7NnQMDF4deR/58EeBH8TwIMv/eII/hW1/5LzFNC8AMsGY5Y6CL4px/8//nY
HME/a8QQN9kJwVdVYJD64IPgF//4f2Z2OIKfduJ/i20Sgt/+4H/i9BwEX4+d
4VFMOYIfqcogvasRwV/Pw8CX3oPgG1/6byA4Hck+HgbOvoUI/p7D/zfbrEHw
o/f8j3+1DcEvtWZomXsQwW+SYlj0/XSOQxoIyDk5nLjyP33JNSh/m52DjzlD
QNDDHIdZM4Eg0tLhswmDnMWbHAdjELhs7HDJlIHn6Teo/Ewdh1uf/ytOYsyF
xMcDRYfVjgz7hXhyofI8DhVyDCl7xXLh8QcAN1vj3A==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{223.412029743, 0},
  Method->{},
  PlotRange->{{223.412029743, 232.710618973}, {0, 41.6}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.1859717846000001, 0.1859717846000001}, {
   0.8320000000000001, 0.8320000000000001}}]], "Output",
 CellChangeTimes->{3.59021282841721*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.590212827256128*^9, 3.590212827286697*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"acceltime", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"224.074878693", "-", "223.412029743"}], ")"}], "*", 
   RowBox[{"10", "^", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.590212749496245*^9, 3.590212771996096*^9}}],

Cell[BoxData["0.0662848949999983`"], "Output",
 CellChangeTimes->{{3.59021277012321*^9, 3.590212773010409*^9}}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Accel", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "20"}]}], ",", " ", 
   RowBox[{"Max", ":", " ", 
    RowBox[{"TILEWIDTH", "*", "0.65"}]}], ",", " ", 
   RowBox[{"Min", ":", " ", 
    RowBox[{"TILEWIDTH", "/", "10"}]}]}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.590211590885497*^9, 3.590211603677839*^9}, {
   3.590211795672226*^9, 3.59021184357615*^9}, {3.590212295491402*^9, 
   3.590212295865221*^9}, {3.590212368577428*^9, 3.590212371086132*^9}, {
   3.590212801449683*^9, 3.590212805330364*^9}, 3.590248925655895*^9}],

Cell[BoxData[
 StyleBox["Sample1", "Subsubtitle"]], "Input",
 CellChangeTimes->{{3.590212808248528*^9, 3.59021281005456*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"225.049200058", ",", "0.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"225.381910801", ",", "12.375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"225.713090897", ",", "25.125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"226.052041054", ",", "37.5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"226.389760971", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"226.722240448", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"227.058122158", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"227.390530109", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"227.713861465", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"228.043889999", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"228.375120163", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"228.708791733", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"229.040720463", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"229.363200665", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"229.69545126", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"230.027711391", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"230.360381603", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"230.687501431", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"231.019802094", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"231.351082325", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"231.682181358", ",", "36.2375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"232.021710873", ",", "30.7125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"232.353520393", ",", "25.025"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"232.685291767", ",", "19.6625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"233.013131618", ",", "14.3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"233.350861073", ",", "8.9375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"233.678460121", ",", "3.575"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"234.005861282", ",", "0.0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.590211628942427*^9, 3.590211674162075*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQ7cHEwDNZMceBAQokOBnmWuhA+Qc0HMTNGJZcNIPy
FSwdwuUZglY5wuSdHCq+/X9d4ZPjcPYMCLg4uDIwzJAJR/D5fv5XupOI4Luc
+G9Rn4PgTz/4//P1MgS/6NT/7vRGBP87C8Mfhh4EX0GWIWfdNAR/njTDVN+F
CP57R4bw+asRfH1TBmXHbQi+96H/TI8PIPiP7v236ziN4Ks4MzAzXEPwXzkz
WCx6gOC3MDEI2rxG8Bde/J975WuOQxoIyDk5iBow3N7IkAvhb7NzeHfmP2cA
N5TPZulQ+v7/i7eiuQ6zZgLBSmOHgN3/J2UrQPkzdRz07RkcrbRzIeH7QNFh
16v/H7eawuR5HMQu/Gc2cMiFxxcAQEzN8Q==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{225.049200058, 0},
  Method->{},
  PlotRange->{{225.049200058, 234.005861282}, {0, 41.6}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.17913322448000032`, 0.17913322448000032`}, {
   0.8320000000000001, 0.8320000000000001}}]], "Output",
 CellChangeTimes->{3.590211676027451*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"acceltime", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"226.389760971", "-", "225.049200058"}], ")"}], "*", 
   RowBox[{"10", "^", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.590212096169158*^9, 3.590212103086444*^9}, {
  3.590212376704768*^9, 3.590212381131092*^9}, {3.590212613392494*^9, 
  3.590212670627766*^9}}],

Cell[BoxData["0.13405609129999904`"], "Output",
 CellChangeTimes->{{3.590212668653725*^9, 3.590212683811449*^9}}]
}, Open  ]],

Cell[BoxData[
 StyleBox["Sample2", "Subsubtitle"]], "Input",
 CellChangeTimes->{3.590212666086425*^9}],

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"89.8663592339", ",", "0.0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"90.19520998", ",", "12.375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"90.5259490013", ",", "24.75"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"90.8539700508", ",", "37.125"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"91.1835885048", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"91.511759758", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"91.8399190903", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"92.1723985672", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"92.5026297569", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"92.8333687782", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"93.1655597687", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"93.4981393814", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"93.8266086578", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"94.1597986221", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"94.4918704033", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"94.8277306557", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"95.1544690132", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"95.4875302315", ",", "41.6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"95.8163189888", ",", "36.2375"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"96.1492300034", ",", "30.875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"96.4808988571", ",", "25.35"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"96.8127894402", ",", "19.9875"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"97.1445202827", ",", "14.625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"97.4763202667", ",", "9.2625"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"97.8109884262", ",", "3.9"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.590212344773985*^9, 3.590212351060951*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQBGIQzcXDkFdUHubAAAW///wPrOuB8g9oOCz681915UIY
38LhyJ//hcu3QfkTnBzSmRhe7T8d5nD2DAi4OJgyMqw58ADB/8nOYHPwK4Iv
ysAwhYM7HM4v+vFfVFsBwZf48f9lqCmCn8LG0DHDC8Gf8/d/88N4BP/W1//q
z0sQ/KTv/5WtuhD8c0wM56rmI/jGHAxdP7cg+PJ//l98dBLBX8rGsMn4PoL/
9///iXZfwh3SQEDOyeE6N8OfHs4IiP8f2Dlk/v7PfVwuwmHWTCCItHSI5WHY
x2ISAdH/x9ih4/P/i/aeUPUOug6NP/+z18RFQMxrU3JY9fe/9fPiCAdjMOB3
AAB5Nb9f
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{89.8663592339, 0},
  Method->{},
  PlotRange->{{89.8663592339, 97.8109884262}, {0, 41.6}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.158892583846, 0.158892583846}, {0.8320000000000001, 
   0.8320000000000001}}]], "Input",
 CellChangeTimes->{{3.590212413154694*^9, 3.590212414140528*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"acceltime", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"91.1835885048", "-", "89.8663592339"}], ")"}], "*", 
   RowBox[{"10", "^", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.590212416014336*^9, 3.590212430845938*^9}, {
  3.590212779183363*^9, 3.590212794297574*^9}}],

Cell[BoxData["0.13172292709000005`"], "Output",
 CellChangeTimes->{3.5902127949615*^9}]
}, Open  ]]
},
WindowSize->{1918, 1030},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Linux x86 (32-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 353, 7, 67, "Input"],
Cell[913, 29, 489, 12, 43, "Input"],
Cell[1405, 43, 126, 2, 36, "Input"],
Cell[CellGroupData[{
Cell[1556, 49, 1208, 36, 32, "Input"],
Cell[2767, 87, 663, 15, 243, "Output"]
}, Open  ]],
Cell[3445, 105, 140, 2, 32, "Input"],
Cell[3588, 109, 531, 12, 43, "Input"],
Cell[4122, 123, 125, 2, 36, "Input"],
Cell[4250, 127, 2918, 77, 121, "Input"],
Cell[7171, 206, 1078, 22, 243, "Input"],
Cell[CellGroupData[{
Cell[8274, 232, 418, 9, 32, "Input"],
Cell[8695, 243, 88, 1, 32, "Output"]
}, Open  ]],
Cell[8798, 247, 175, 3, 36, "Input"],
Cell[CellGroupData[{
Cell[8998, 254, 2147, 56, 99, "Input"],
Cell[11148, 312, 920, 20, 243, "Output"]
}, Open  ]],
Cell[12083, 335, 118, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[12226, 341, 321, 8, 32, "Input"],
Cell[12550, 351, 161, 2, 32, "Output"]
}, Open  ]],
Cell[12726, 356, 407, 10, 43, "Input"],
Cell[13136, 368, 126, 2, 36, "Input"],
Cell[CellGroupData[{
Cell[13287, 374, 2527, 66, 121, "Input"],
Cell[15817, 442, 963, 21, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16817, 468, 274, 7, 32, "Input"],
Cell[17094, 477, 89, 1, 32, "Output"]
}, Open  ]],
Cell[17198, 481, 126, 2, 36, "Input"],
Cell[CellGroupData[{
Cell[17349, 487, 2453, 64, 99, "Input"],
Cell[19805, 553, 939, 21, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20781, 579, 272, 7, 32, "Input"],
Cell[21056, 588, 89, 1, 32, "Output"]
}, Open  ]],
Cell[21160, 592, 408, 10, 43, "Input"],
Cell[21571, 604, 126, 2, 36, "Input"],
Cell[CellGroupData[{
Cell[21722, 610, 2155, 56, 99, "Input"],
Cell[23880, 668, 883, 19, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24800, 692, 273, 7, 32, "Input"],
Cell[25076, 701, 89, 1, 32, "Output"]
}, Open  ]],
Cell[25180, 705, 125, 2, 36, "Input"],
Cell[CellGroupData[{
Cell[25330, 711, 2196, 57, 99, "Input"],
Cell[27529, 770, 899, 20, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28465, 795, 273, 7, 32, "Input"],
Cell[28741, 804, 88, 1, 32, "Output"]
}, Open  ]],
Cell[28844, 808, 301, 6, 67, "Input"],
Cell[29148, 816, 463, 11, 43, "Input"],
Cell[29614, 829, 60, 1, 36, "Input"],
Cell[CellGroupData[{
Cell[29699, 834, 2301, 61, 99, "Input"],
Cell[32003, 897, 943, 20, 243, "Output"]
}, Open  ]],
Cell[32961, 920, 92, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[33078, 925, 269, 7, 32, "Input"],
Cell[33350, 934, 111, 1, 32, "Output"]
}, Open  ]],
Cell[33476, 938, 576, 12, 43, "Input"],
Cell[34055, 952, 125, 2, 36, "Input"],
Cell[CellGroupData[{
Cell[34205, 958, 2301, 60, 99, "Input"],
Cell[36509, 1020, 940, 20, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37486, 1045, 372, 9, 32, "Input"],
Cell[37861, 1056, 113, 1, 32, "Output"]
}, Open  ]],
Cell[37989, 1060, 102, 2, 36, "Input"],
Cell[38094, 1064, 2071, 54, 99, "Input"],
Cell[40168, 1120, 923, 20, 243, "Input"],
Cell[CellGroupData[{
Cell[41116, 1144, 323, 8, 32, "Input"],
Cell[41442, 1154, 87, 1, 32, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
